<button md-raised-button [disabled]="currentPage === 0" color="accent" (click)="setPage(0)">
              First
            </button>






<button md-raised-button [disabled]="currentPage === 0" color="accent" (click)="setPage(pager.currentPage - 1)">
              Previous
            </button>

<button md-raised-button *ngFor="let page of pager.pages" color="accent" [disabled]="((currentPage) === page)" (click)="setPage(page)">
              {{page+1}}
            </button>


<button md-raised-button [disabled]="currentPage === pager.totalPages-1" color="accent" (click)="setPage(pager.currentPage + 1)">
               Next
            </button>

<button md-raised-button [disabled]="currentPage === pager.totalPages-1" color="accent" (click)="setPage(pager.totalPages-1)">
              Last
            </button>
